Ticket 0004255: Multiple issues with "utility to sweep"

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
axkibe
Posts: 19
Joined: Mon Jan 20, 2020 2:07 pm

Ticket 0004255: Multiple issues with "utility to sweep"

Postby axkibe » Tue Jan 21, 2020 10:11 am

I'm trying to make "rope" with "utility to sweep", first is (almost) the case I actually want (removed already everything non relevant), second is a simplified test where I just made quickly one random path.
test.FCStd
(6.77 KiB) Downloaded 8 times
test2.FCStd
(5.96 KiB) Downloaded 12 times
I already upgraded and compiled to git master (as I get version packaged debian buster is oldish)
OS: Debian GNU/Linux 10 (buster) (GNOME/gnome-xorg)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.19327 (Git)
Build type: Unknown
Branch: master
Hash: 65c4e1bd11e0820cd1f1d6577d23bf9cdbb54247
Python version: 3.7.3
Qt version: 5.11.3
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)
In the part workbench, I select "utility to sweep", right arrow for "selected profile" to be "circle", check "create solid", click "sweep path", go to model, try to click "wire", -> status message: "not allowed". or sometimes "selection not allowed by filter" (seems to be random which error message)

When I double click "wire", I get

Code: Select all

Traceback (most recent call last):
  File "/home/axel/freecad-build/Mod/Draft/Draft.py", line 3244, in setEdit
    FreeCADGui.runCommand("Draft_Edit")
<class 'Base.FreeCADError'>: No such command 'Draft_Edit'
When instead of trying to select the whole path from the model view I ctrl+select all parts of the T (test2) I actually get a result, but not what I expected.
screenshot.png
screenshot.png (81.12 KiB) Viewed 362 times
I expected a the T made of "pipes".

When using 0.18 (debian default), I can sometimes select, the model view, but same result in case of test2, never a result in case of test, here I get a message box "Input error", "NCollection_Array1::Create". (double clicking the wire in double view crashes 0.18)

I'm a little out of wits how to approach this now.

PS: A usability suggestion, when holding ctrl to select multiple things in the 3d view, accidentally clicking the background deselecting everything and having to start over again... can be aggravating.
Last edited by axkibe on Mon Jan 27, 2020 8:59 am, edited 2 times in total.
User avatar
papyblaise
Posts: 1350
Joined: Thu Jun 13, 2019 4:28 pm
Location: France

Re: Multiple issues with "utility to sweep"

Postby papyblaise » Tue Jan 21, 2020 10:30 am

Hi
Fc start a sweep from the section of the profil and follow the path in a parallel plane segment by segment
If you draw the circle on the exact end of the path , it do well
Attachments
T pipe.PNG
T pipe.PNG (31.59 KiB) Viewed 350 times
openBrain
Posts: 3406
Joined: Fri Nov 09, 2018 5:38 pm

Re: Multiple issues with "utility to sweep"

Postby openBrain » Tue Jan 21, 2020 10:40 am

You can use MapMode of Circle to position it on the first vertex of the path. ;)
chrisb
Posts: 22440
Joined: Tue Mar 17, 2015 9:14 am

Re: Multiple issues with "utility to sweep"

Postby chrisb » Tue Jan 21, 2020 10:54 am

test2: Your circle lies somewhere far off the T-wire:
Snip macro screenshot-fd7645.png
Snip macro screenshot-fd7645.png (3.2 KiB) Viewed 342 times
Place it properly at the end instead.

Besides, I tried to convert the wire to a sketch in order to validate, alas, it yielded an empty sketch. Does someone know the reason for this?
axkibe
Posts: 19
Joined: Mon Jan 20, 2020 2:07 pm

Re: Multiple issues with "utility to sweep"

Postby axkibe » Tue Jan 21, 2020 11:02 am

chrisb wrote:
Tue Jan 21, 2020 10:54 am
test2: Your circle lies somewhere far off the T-wire:Snip macro screenshot-fd7645.png
Place it properly at the end instead.
Oh thanks a lot, that explains this, so when manually selecting all sections of the T it works fine. Still confused why I cannot select the whole wire in Model view. (my actual case is more complicated, selecting all sections of the wire manually will be almost impossible)
chrisb
Posts: 22440
Joined: Tue Mar 17, 2015 9:14 am

Re: Multiple issues with "utility to sweep"

Postby chrisb » Tue Jan 21, 2020 11:07 am

axkibe wrote:
Tue Jan 21, 2020 11:02 am
Still confused why I cannot select the whole wire in Model view.
Can you check in 0.18? It may be a regression.
axkibe
Posts: 19
Joined: Mon Jan 20, 2020 2:07 pm

Re: Multiple issues with "utility to sweep"

Postby axkibe » Tue Jan 21, 2020 11:11 am

It works in 0.18
Syres
Posts: 472
Joined: Thu Aug 09, 2018 11:14 am

Re: Multiple issues with "utility to sweep"

Postby Syres » Tue Jan 21, 2020 12:04 pm

I'm afraid it's a copy and paste from another recent post but, the Wire selection issue looks like a regression to me, last build I have that it worked as expected:

OS: Windows 7 SP 1 (6.1)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.17651 (Git)
Build type: Release
Branch: master
Hash: 16c26cb3b1cd7209ea8efc8cb30b3b18fd80cf95
Python version: 3.6.8
Qt version: 5.12.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/United Kingdom (en_GB)

next newest build that it behaves as today is:

OS: Windows 7 SP 1 (6.1)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.17803 (Git)
Build type: Release
Branch: master
Hash: 89961a33d46063a43e9fb5b0308ca95d559eca94
Python version: 3.6.8
Qt version: 5.12.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/United Kingdom (en_GB)
openBrain
Posts: 3406
Joined: Fri Nov 09, 2018 5:38 pm

Re: Multiple issues with "utility to sweep"

Postby openBrain » Tue Jan 21, 2020 12:16 pm

chrisb wrote:
Tue Jan 21, 2020 10:54 am
Besides, I tried to convert the wire to a sketch in order to validate, alas, it yielded an empty sketch. Does someone know the reason for this?
You need to downgrade it once to get a Part.Feature from the FeaturePython. ;) Then you can convert to sketch.
chrisb wrote:
Tue Jan 21, 2020 11:07 am
Can you check in 0.18? It may be a regression.
Regression confirmed here.
axkibe
Posts: 19
Joined: Mon Jan 20, 2020 2:07 pm

Re: Multiple issues with "utility to sweep"

Postby axkibe » Tue Jan 21, 2020 1:08 pm

Thanks everyone, finally made it!
screenshot.png
screenshot.png (28.81 KiB) Viewed 288 times
Yes, that circle really needs to be exactly on start/finish and perpendicular (which was also not the case in my actual project) and also the points weren't in a plane as I thought (I thought naively in draft mode and having the working plane on I'd force all created points into that plane, I used the points table editor from curbs to force them all into the plane)

I had to do quite a bunch of switching between 0.18 and HEAD(0.19) as also next to sweeping the "curbs workbench" only worked with 0.18 but for example that perpendicularity macro only with HEAD(0.19).